System.Web 2.0.0.0 System.Enum System.Flags

The PrecompilationFlags class defines the behavior of the build manager during precompilation. The class takes PrecompilationFlags as one of its constructor parameters. Precompilation can be performed programmatically through or through the Aspnet_compiler.exe command-line tool.

Provides flags that determine precompilation behavior.

- Field
  System.Web.Compilation.PrecompilationFlags

  An attribute is generated for the assemblies, which means the assemblies can be called by partially trusted code. The /aptca flag will be added as a compilation symbol.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The application will be built "clean": Any previously compiled components will be recompiled. This field corresponds to the -c switch on Aspnet_compiler.exe.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The /define:CodeAnalysis flag will be added as a compilation symbol.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The default value; no special behavior specified for precompilation.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The assembly is not fully signed when created. The assembly can be signed later by a signing tool such as Sn.exe. The /delaysign flag will be added as a compilation symbol.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The assembly is generated with fixed names for the Web pages. The files are not batched during compilation and instead are compiled individually to produce the fixed names.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The compiler will emit debug information. This field corresponds to the -d switch on Aspnet_compiler.exe.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The target directory can be overwritten. This field corresponds to the -f switch on Aspnet_compiler.exe for a previously precompiled target.

  2.0.0.0
- Field
  System.Web.Compilation.PrecompilationFlags

  The deployed application will be updatable. This field corresponds to the -u switch on Aspnet_compiler.exe.

  2.0.0.0